Subject: Re: [bug#74137] [PATCH] gnu: Add emacs-vi-tilde-fringe.

From: Rostislav Svoboda <[email-masked]>
Date: Mon, 10 Mar 2025 12:15:39 +0100

> I do think we should just package the commit you referenced as 1.0-0-e6e15638 (I may have taken too many or too few chars of the commit here – ah well).

It's perfectly clear to any human that the latest commit f1597a8d
contains just noise. However, tools like guix import or guix refresh
lack this insight and would therefore indicate the package as outdated
if we use e6e15638. Such an indication would offer no practical
benefit.

Moreover, using the widely adopted MELPA commit (f1597a8d) ensures
consistency with the majority of users' Emacs configurations, whereas
diverging from it by using e6e15638 would introduce unnecessary
friction.

Cheers,
Bost